package com.nisum.statisticsutils.programs;

import com.mongodb.client.model.Filters;
import com.nisum.statisticsutils.utils.*;
import gherkin.deps.com.google.gson.JsonArray;
import gherkin.deps.com.google.gson.JsonElement;
import org.bson.Document;

import java.util.ArrayList;

public class FindPercentageZero {

	public static void main(String[] args) throws Exception {
		JsonUtils ju = new JsonUtils();
		MongoUtils mo = new MongoUtils();
		
		String taxProdJson = ju.jsonFileToString("/Users/nisum/Downloads/octx-snoflake/taxprodchk.json");
		JsonArray txnArray = ju.jsonFileToJsonArray(taxProdJson);
		ArrayList<String> orderIds = new ArrayList<String>();
		
		for(JsonElement je: txnArray) {
			orderIds.add(ju.searchJsonStringByJsonPath(je.toString(), "$._id"));
		}
		
		
		for(String oId:orderIds) {
			
			
			Document dc = mo.getAllMatchingDocumentsSorted(Filters.eq("orderId",oId),false,"timestamp").first();
			
			if(Float.parseFloat(ju.searchJsonStringByJsonPath(dc.toJson(), "$.percentage"))==0.0f) {
				
				System.out.println(oId);
			}
		}
		mo.closeConnection();
	}
	
}
