package com.nisum.statisticsutils.utils;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;

public class CsvUtils {
	
	
	BufferedReader br=null;
	public CsvUtils(String filePath) throws FileNotFoundException {
		
		this.br = new BufferedReader(new FileReader(filePath));
		
		
	}
	
	
	public ArrayList<String> readAllLines(Boolean containsHeading) throws IOException{
		ArrayList<String> ls = new ArrayList<String>();
		String line;
	    while ((line = br.readLine()) != null) {
	    	if(containsHeading) {
	    		containsHeading=false;
	    		continue;
	    	}else {
	    		ls.add(line);
	    	}
	    }
	    return ls;
	}
	
	public String getColumnValue(String line, String delimiterRegex,Integer columnNumber) {
		return line.split(delimiterRegex)[columnNumber];
	}
	
	public void closeBufferedReader() throws IOException{
		br.close();
		br = null;
		
	}
	
	public static void main(String[] args) throws IOException {
		CsvUtils cu = new CsvUtils("/Users/nisum/Downloads/FileCompare/SIMS.csv");
		ArrayList<String> ls = cu.readAllLines(true);
		for(String s:ls) {
			System.out.println(cu.getColumnValue(s, ",", 3));
			System.out.println(cu.getColumnValue(s, ",", 7));
			System.out.println(cu.getColumnValue(s, ",", 8));
		}
		cu.closeBufferedReader();
	}
	
	
}
